Join the EverydaySEO waitlist

Tell us about your site and we'll let you in when your spot opens up.

Users API

The Users API allows you to manage user data in your EverydaySEO account. You can retrieve user information and update existing users.

Endpoints

GET/v1/users/me

Retrieves information about the authenticated user.

Authentication

Requires a valid API key with user scope.

Request

curl "https://api.everydayseo.com/v1/users/me" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

{
  "user": {
    "id": "usr_123456789",
    "email": "user@example.com",
    "name": "Example User",
    "createdAt": "2023-01-01T12:00:00Z",
    "lastAccessedAt": "2023-04-15T09:30:00Z",
    "workspaceId": "wrk_ENGTK86JEXXckyDVJthKkPer"
  }
}

POST/v1/users/me

Updates the authenticated user's information.

Authentication

Requires a valid API key with user scope.

Request Body

{
  "name": "Updated User Name"
}

Request

curl -X POST "https://api.everydayseo.com/v1/users/me" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated User Name"
  }'

Response

{
  "user": {
    "id": "usr_123456789",
    "email": "user@example.com",
    "name": "Updated User Name",
    "createdAt": "2023-01-01T12:00:00Z",
    "lastAccessedAt": "2023-04-16T16:20:00Z",
    "workspaceId": "wrk_ENGTK86JEXXckyDVJthKkPer"
  }
}